/* File:      beschbD.C
   Date:      September 2002  
   Author:    Numerical recipes in C, transcribed by C. Paciorek
   Purpose:   support code for bessikD.C
   Compile:   g++ -c
   Usage:     
   Arguments: 
   Requires:  
   Reference: Numerical Recipes in C
*/

#define NUSE1 5 
#define NUSE2 5 
// code from Numerical Recipes in C
// this is support code for bessikD.C
void beschbD(double x, double *gam1, double *gam2, double *gampl, double *gammi) 
{ 
  double chebevD(double a, double b, double c[], int m, double x); 
  double xx; 
  static double c1[] = { -1.142022680371168e0,6.5165112670737e-3, 3.087090173086e-4,-3.4706269649e-6,6.9437664e-9, 3.67795e-11,-1.356e-13};
  static double c2[] = { 1.843740587300905e0,-7.68528408447867e-2, 1.2719271366546e-3,-4.9717367042e-6,-3.31261198e-8, 2.423096e-10,-1.702e-13,-1.49e-15}; 
  xx=8.0*x*x-1.0; // Multiply x by 2 to make range be 1 to 1, and then apply transformation for evaluating even Chebyshev series. 
  *gam1=chebevD(-1.0,1.0,c1,NUSE1,xx); 
  *gam2=chebevD(-1.0,1.0,c2,NUSE2,xx); 
  *gampl= *gam2-x*(*gam1); 
  *gammi= *gam2+x*(*gam1); 
}
