/* File:      corr.h
   Date:      3/21/02  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for corr.C
   Compile:   g++ -c
   Usage:     calculates various correlation functions as function of Euclidean              or angular distance
   Arguments: 
   Requires:  bessikD, rkbesl Bessel function code
   Reference: 
   Notes:     may want to convert this code so ANG vs. EUC distance is an argument, but for now, keep separate so don't test each time function is called
*/

extern float* besselvec;
extern "C" void rkbesld_(double* x,double* alpha,int* nb,int* ize,double* bk, int* ncalc);
void bessikD(double x, double xnu, double *ri, double *rk, double *rip,double *rkp);

double gneiting_corr_ang(double ang_distance,double max_ang_distance);
double das_corr(double distance, double parm);
double squexp_corr_ang(double angdist,double parm);
double matern_corr_ang(double ang_distance,double theta1,double theta2);
double matern_corr_euc(double euc_distance,double theta1,double theta2);
