/* File:      generic_functions.C
   Date:      12/31/01  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   basic mathematical and other functions
   Compile:   g++ -c
   Usage:     
   Arguments: 
   Requires:  base.h
   Reference: 
*/

#include "base.h"

const double mindiff=1e-15;

int zero(double value){
  if(fabs(value)>mindiff){
    return(0);
  }
  else{
    return(1);
  }
}

double dot_prod(int size,double* in1,double* in2){
  double tmp=0.0;
  for(int i=0;i<size;i++){
    tmp+=in1[i]*in2[i];
  }
  return(tmp);
}

// D2R converts degrees to radians; see base.h

// trig functions taking degrees as argument
double sind(double x)
{
  return(sin(x*D2R));
}

double cosd(double x)
{
  return(cos(x*D2R));
}

double tand(double x)
{
  return(tan(x*D2R));
}

// converts double to text string
string dtos(double d)      
{
  strstream s;
  s << d;
  return s.str();
}

// converts int to text string
// converts int to text string
string itos(int i)      
{
  strstream s; string output;
  s << i;
  output=s.str();
  int num=int(log10(i));
  output.assign(output,0,num+1);
  return(output);
}

// min and max functions
float min_cp(float a,float b) {
  if(a<b) {return(a);}
  else {return(b);}
}

float max_cp(float a,float b) {
  if(a>b) {return(a);}
  else {return(b);}
}






